Skip to content

upsertPeriodCloseTaskDefinition

WRITE

Upsert period close task definition.

POST /api/v1/accounting/upsertPeriodCloseTaskDefinition
curl -X POST '<your-host>/api/v1/accounting/upsertPeriodCloseTaskDefinition' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "taskType": "Auto",
    "sortOrder": 0,
    "_operation": "create"
  }'

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min 0max 9007199254740991
"Auto""Action""Manual"
"Blocker""Warning"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "taskType": {
      "type": "string",
      "enum": [
        "Auto",
        "Action",
        "Manual"
      ]
    },
    "autoCheckKey": {
      "type": "string"
    },
    "sortOrder": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "required": {
      "type": "boolean"
    },
    "severity": {
      "type": "string",
      "enum": [
        "Blocker",
        "Warning"
      ]
    },
    "active": {
      "type": "boolean"
    },
    "defaultAssigneeId": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "taskType",
    "sortOrder",
    "_operation"
  ]
}